

In file included from fs/compat_ioctl.c:118,
                 from arch/x86_64/ia32/ia32_ioctl.c:14:
include/linux/hiddev.h:230: warning: `struct hid_device' declared inside parameter list
include/linux/hiddev.h:230: warning: its scope is only this definition or declaration, which is probably not what you want
include/linux/hiddev.h:231: warning: `struct hid_device' declared inside parameter list
include/linux/hiddev.h:233: warning: `struct hid_usage' declared inside parameter list
include/linux/hiddev.h:233: warning: `struct hid_field' declared inside parameter list
include/linux/hiddev.h:233: warning: `struct hid_device' declared inside parameter list
include/linux/hiddev.h:234: warning: `struct hid_report' declared inside parameter list
include/linux/hiddev.h:234: warning: `struct hid_device' declared inside parameter list


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-x86_64-akpm/include/linux/hiddev.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/hiddev.h~hiddev-warning-fixes include/linux/hiddev.h
--- 25-x86_64/include/linux/hiddev.h~hiddev-warning-fixes	Tue Jun  1 17:32:34 2004
+++ 25-x86_64-akpm/include/linux/hiddev.h	Tue Jun  1 17:32:45 2004
@@ -213,12 +213,12 @@ struct hiddev_usage_ref_multi {
  * In-kernel definitions.
  */
 
-#ifdef CONFIG_USB_HIDDEV
 struct hid_device;
 struct hid_usage;
 struct hid_field;
 struct hid_report;
 
+#ifdef CONFIG_USB_HIDDEV
 int hiddev_connect(struct hid_device *);
 void hiddev_disconnect(struct hid_device *);
 void hiddev_hid_event(struct hid_device *hid, struct hid_field *field,
_
